[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.ScanLine (platform)

Provides indexed access to a scan line in the raw image data.

## Declaration

Source position: graphics.pp line 1338

`public property TRasterImage.ScanLine[Row: Integer] : Pointer read GetScanLine;`

## Description

ScanLine is a read-only indexed Pointer property which provides access to a scan line in the raster image. The scan line consists of a single row of pixels in the raw image data.

Row contains the row number read from the TRawImage instance provided by the GetRawImage method. Row number values start at 0 (zero).

The return value is a Pointer to the byte values for the requested row in the raw image data.

Reading a value in ScanLines should always be performed inside a BeginUpdate ... EndUpdate sequence.

ScanLine is a platform-specific property, and may not be implemented for all platforms or widgetsets.